<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>How to generate the documentation of your LabVIEW project? :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc-addon-toolkit/latest/how-to.html">
    <link rel="prev" href="general-info.html">
    <link rel="next" href="doc-samples.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc-addon-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc-addon-toolkit" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Antidoc add-on: LabVIEW toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="how-to.html">How to generate the document</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="doc-samples.html">Documentation showcase</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc add-on: LabVIEW toolkit</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Antidoc add-on: LabVIEW toolkit</a></li>
    <li><a href="how-to.html">How to generate the document</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/antidoc-document-types/labview-toolkit-manual/edit/docs/v2.0/docs/modules/ROOT/pages/how-to.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">How to generate the documentation of your LabVIEW project?</h1>
<div id="preamble">
<div class="sectionbody">
<div class="olist arabic">
<ol class="arabic">
<li>
<p>Start Antidoc user interface</p>
</li>
<li>
<p>Select the <code>LabVIEW toolkit</code> document type if necessary</p>
</li>
<li>
<p>Fill in the different fields</p>
</li>
<li>
<p>Optionally, set-up the options</p>
</li>
<li>
<p>Click on the <code>Generate documentation</code> button</p>
</li>
<li>
<p>Render the document into your preferred file format</p>
</li>
</ol>
</div>
</div>
</div>
<div class="sect1">
<h2 id="main-settings"><a class="anchor" href="#main-settings"></a>Main settings</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/antidoc-toolkit-main-settings.png" alt="Main setting for toolkit documentation">
</div>
<div class="title">Figure 1. main settings user interface</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>Toolkit name</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Toolkit version</td>
</tr>
<tr>
<td><i class="conum" data-value="3"></i><b>3</b></td>
<td>main <code>*.mnu</code> file that describes the toolkit&#8217;s function palettes</td>
</tr>
<tr>
<td><i class="conum" data-value="4"></i><b>4</b></td>
<td>Folder where the final document will be stored at the end of the process</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="options"><a class="anchor" href="#options"></a>Options</h2>
<div class="sectionbody">
<div class="paragraph">
<p>Click the `More options…`button to access the optional settings dialog.</p>
</div>
<div class="sect2">
<h3 id="options-window-description"><a class="anchor" href="#options-window-description"></a>Options window description</h3>
<div class="imageblock">
<div class="content">
<img src="_images/antidoc-toolkit-optional-settings.png" alt="Main setting for toolkit documentation">
</div>
<div class="title">Figure 2. optional settings dialog</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>The content of the adoc file set will be added in the first section of the document generated</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Descriptions retrieved in the VI are striped as soon as one of the tokens listed here is found</td>
</tr>
</table>
</div>
</div>
<div class="sect2">
<h3 id="add-a-toolkit-description"><a class="anchor" href="#add-a-toolkit-description"></a>Add a toolkit description</h3>
<div class="paragraph">
<p>You can add custom description in the first section of the document using a text file using <a href="https://docs.asciidoctor.org/asciidoc/latest/">AsciiDoc</a> syntax.</p>
</div>
<div class="listingblock">
<div class="title">Toolkit description file content example</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-AsciiDoc hljs" data-lang="AsciiDoc">This toolkit provides a set of vis that helps you builds plain-text file using asciidoc syntax.

It now provides all the tools needed to generate the HTML5 or PDF final document you always dream to get from your LabVIEW applications.

*Author:* Olivier Jourdan

*Copyright:* Copyright (C) 2022, Wovalab

*License:* BSD 3-Clause

*Compatible LabVIEW Versions:* &gt;= 2014.

*Compatible OS Versions:* Windows 64-Bit.</code></pre>
</div>
</div>
<div class="paragraph">
<p>This file will be included in the final document to give the following result.</p>
</div>
<div class="imageblock docextract">
<div class="content">
<img src="_images/antidoc-toolkit-description-in%20document.png" alt="Toolkit description section">
</div>
<div class="title">Figure 3. Result in the final document</div>
</div>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="general-info.html">General information</a></span>
  <span class="next"><a href="doc-samples.html">Documentation showcase</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
